Index: forum_index.php
===================================================================
--- forum_index.php	(Revision 24007)
+++ forum_index.php	(Arbeitskopie)
@@ -50,7 +50,7 @@
         $t = $forum->title;
         if (!strlen($t)) $t = $team->name;
         $d = $forum->description;
-        if (!strlen($d)) $d = "Discussion among members of $team->name";
+        if (!strlen($d)) $d = tra("Discussion among members of %1", $team->name);
         break;
     }
     $j = $i % 2;
@@ -120,7 +120,7 @@
 if ($user) {
     $subs = BoincSubscription::enum("userid=$user->id");
     if (count($subs)) {
-        echo "<p><span class=title>Subscribed threads</span><p>";
+        echo "<p><span class=title>".tra("Subscribed threads")."</span><p>";
         show_thread_and_context_header();
         $i = 0;
         foreach ($subs as $sub) {
Index: team_lookup.php
===================================================================
--- team_lookup.php	(Revision 24007)
+++ team_lookup.php	(Arbeitskopie)
@@ -66,7 +66,7 @@
 $name_lc = strtolower($team_name);
 $name_lc = escape_pattern($name_lc);
 
-$clause = "name like '%".boinc_real_escape_string($name_lc)."%' order by expavg_credit desc limit 100";
+$clause = "name like '%".BoincDb::escape_string($name_lc)."%' order by expavg_credit desc limit 100";
 $teams = BoincTeam::enum($clause);
 
 if ($format == 'xml') {
@@ -83,7 +83,7 @@
 
 page_head(tra("Search Results"));
 if (count($teams)) {
-    echo "<h2>".tra("Search results for '%1'", strip_tags($team_name))."</h2>";
+    echo "<h2>".tra("Search results for '%1'", sanitize_tags($team_name))."</h2>";
     echo "<p>";
     echo tra("You may view these teams' members, statistics, and information.");
     echo "<ul>";
Index: profile_search_action.php
===================================================================
--- profile_search_action.php	(Revision 24007)
+++ profile_search_action.php	(Arbeitskopie)
@@ -26,9 +26,7 @@
     echo "<tr><td>".user_links($user)."</td><td>".date_str($user->create_time)."</td><td>$user->country</td><td>".(int)$user->total_credit."</td><td>".(int)$user->expavg_credit."</td></tr>\n";
 }
 
-$search_string = get_str('search_string');
-$search_string = strip_tags($search_string);
-$search_string = boinc_real_escape_string($search_string);
+$search_string = BoincDb::escape_string(sanitize_tags(get_str('search_string')));
 $offset = get_int('offset', true);
 if (!$offset) $offset=0;
 $count = 10;
Index: prefs_edit.php
===================================================================
--- prefs_edit.php	(Revision 24007)
+++ prefs_edit.php	(Arbeitskopie)
@@ -20,7 +20,7 @@
 include_once("../inc/util.inc");
 include_once("../inc/prefs.inc");
 
-db_init();
+check_get_args(array("action", "subset", "venue", "cols", "tnow", "ttok"));
 
 $user = get_logged_in_user();
 
Index: edit_email_action.php
===================================================================
--- edit_email_action.php	(Revision 24007)
+++ edit_email_action.php	(Arbeitskopie)
@@ -28,18 +28,18 @@
 $email_addr = strtolower(post_str("email_addr"));
 $passwd = post_str("passwd", true);
 
-page_head("Change email address of account");
+page_head(tra("Change email address of account"));
 
 if (!is_valid_email_addr($email_addr)) {
-    echo "New email address '$email_addr' is invalid";
+    echo tra("New email address '%1' is invalid.", $email_addr);
 } else if (is_banned_email_addr($email_addr)) {
-    echo "New email address '$email_addr' is invalid";
+    echo tra("New email address '%1' is invalid.", $email_addr);
 } else if ($email_addr == $user->email_addr) {
-    echo "New email address is same as existing address; no change.";
+    echo tra("New email address is same as existing address. Nothing is changed.");
 } else {
     $existing = lookup_user_email_addr($email_addr);
     if ($existing) {
-        echo "There's already an account with that email address";
+        echo tra("There's already an account with that email address");
     } else {
         $passwd_hash = md5($passwd.$user->email_addr);
 
@@ -51,7 +51,7 @@
             $passwd_hash = md5($passwd.$user->email_addr);
         }
         if ($passwd_hash != $user->passwd_hash) {
-            echo "Invalid password.";
+            echo tra("Invalid password.");
         } else {
             $passwd_hash = md5($passwd.$email_addr);
             $email_addr = BoincDb::escape_string($email_addr);
@@ -59,17 +59,12 @@
                 "email_addr='$email_addr', passwd_hash='$passwd_hash', email_validated=0"
             );
             if ($result) {
-                echo "
-                    The email address of your account is now $email_addr.
-                ";
+                echo tra("The email address of your account is now %1.", $email_addr);
                 if (defined("SHOW_NONVALIDATED_EMAIL_ADDR")) {
-                    echo "<p>Please <a href=validate_email_addr.php>validate this email address</a>.\n";
+                    echo "<p>".tra("Please %1validate this email address%2.", "<a href=validate_email_addr.php>", "</a>")."\n";
                 }
             } else {
-                echo "
-                    We can't update your email address
-                    due to a database problem.  Please try again later.
-                ";
+                echo tra("We can't update your email address due to a database problem.  Please try again later.");
             }
         }
     }
Index: forum_banishment_vote_action.php
===================================================================
--- forum_banishment_vote_action.php	(Revision 24007)
+++ forum_banishment_vote_action.php	(Arbeitskopie)
@@ -30,13 +30,13 @@
 check_tokens($logged_in_user->authenticator);
 
 if (!$logged_in_user->prefs->privilege(S_MODERATOR)) {
-    error_page("You are not authorized to banish users.");
+    error_page(tra("You are not authorized to banish users."));
 }
 
 // See if "action" is provided - either through post or get
 if (!post_str('action', true)) {
     if (!get_str('action', true)){
-	    error_page("You must specify an action...");
+	    error_page(tra("You must specify an action..."));
     } else {
         $action = get_str('action');
     }
@@ -48,18 +48,19 @@
 $user=BoincUser::lookup_id($userid);
 
 if ($action!="start"){
-    error_page("Unknown action ");
+    error_page("Unknown action");
 }
 
+// TODO: create a function for this in forum_banishment_vote.inc to make it more flexible
 switch (post_int("category", true)) {
     case 1:
-        $mod_category = "Obscene";
+        $mod_category = tra("Obscene");
     case 2:
-        $mod_category = "Flame/Hate mail";
+        $mod_category = tra("Flame/Hate mail");
     case 3:
-        $mod_category = "User Request";
+        $mod_category = tra("User Request");
     default:
-        $mod_category = "Other";
+        $mod_category = tra("Other");
 }
 
 if (post_str('reason', true)){
Index: edit_user_info_action.php
===================================================================
--- edit_user_info_action.php	(Revision 24007)
+++ edit_user_info_action.php	(Arbeitskopie)
@@ -27,24 +27,22 @@
 check_tokens($user->authenticator);
 
 $name = post_str("user_name");
-if ($name != strip_tags($name)) {
+if ($name != sanitize_tags($name)) {
     error_page(tra("HTML tags are not allowed in your name."));
 }
 if (strlen($name) == 0) {
     error_page(tra("You must supply a name for your account."));
 }
-$url = post_str("url", true);
-$url = strip_tags($url);
+$url = sanitize_tags(post_str("url", true));
 $country = post_str("country");
 if ($country == "") {
     $country = "International";
 }
 if (!is_valid_country($country)) {
-    error_page(tra("bad country"));
+    error_page("bad country");
 }
 $country = BoincDb::escape_string($country);
-$postal_code = post_str("postal_code", true);
-$postal_code = strip_tags($postal_code);
+$postal_code = sanitize_tags(post_str("postal_code", true));
 
 $name = BoincDb::escape_string($name);
 $url = BoincDb::escape_string($url);
Index: team_forum.php
===================================================================
--- team_forum.php	(Revision 24007)
+++ team_forum.php	(Arbeitskopie)
@@ -50,7 +50,7 @@
     $id = BoincForum::insert("(category, parent_type) values ($team->id, 1)");
     $forum = BoincForum::lookup_id($id);
     if (!$forum) {
-        error_page(tra("couldn't create message board"));
+        error_page(tra("Couldn't create message board"));
     }
     edit_form($user, $team, $forum, true);
 }
@@ -104,7 +104,7 @@
 
 function remove($team) {
     $forum = BoincForum::lookup("parent_type=1 and category=$team->id");
-    if (!$forum) error_page(tra("message board not found"));
+    if (!$forum) error_page("message board not found");
     
     // delete threads and posts
     //
@@ -131,9 +131,9 @@
 }
 
 function edit_action($forum) {
-    $title = strip_tags(post_str('title'));
+    $title = sanitize_tags(post_str('title'));
     $title = BoincDb::escape_string($title);
-    $description = strip_tags(post_str('description'));
+    $description = sanitize_tags(post_str('description'));
     $description = BoincDb::escape_string($description);
     $post_min_interval = post_int('post_min_interval');
     $post_min_total_credit = post_int('post_min_total_credit');
@@ -151,7 +151,7 @@
 function show_forum($team) {
     $forum = BoincForum::lookup("parent_type=1 and category=$team->id");
     if (!$forum) {
-        error_page(tra("team has no forum"));
+        error_page(tra("Team has no forum"));
     }
     Header("Location: forum_forum.php?id=$forum->id");
 }
@@ -161,7 +161,7 @@
 
 $team = BoincTeam::lookup_id($teamid);
 if (!$team) {
-    error_page(tra("no such team"));
+    error_page("no such team");
 }
 
 $cmd = get_str('cmd', true);
@@ -186,7 +186,7 @@
     require_founder_login($user, $team);
     check_tokens($user->authenticator);
     $forum = BoincForum::lookup("parent_type=1 and category=$teamid");
-    if (!$forum) error_page(tra("no such forum"));
+    if (!$forum) error_page("no such forum");
     edit_action($forum);
 } else if ($cmd == "remove_confirm") {
     $user = get_logged_in_user();
@@ -197,7 +197,7 @@
     require_founder_login($user, $team);
     remove($team);
 } else if ($cmd != "") {
-    error_page(tra("unknown command %1", $cmd));
+    error_page("unknown command $cmd");
 } else {
     show_forum($team);
 }
Index: forum_reply.php
===================================================================
--- forum_reply.php	(Revision 24007)
+++ forum_reply.php	(Arbeitskopie)
@@ -73,9 +73,7 @@
     }
     check_tokens($logged_in_user->authenticator);
     if (!akismet_check($logged_in_user, $content)) {
-        $warning = "Your post has been flagged as spam by the Akismet
-            anti-spam system.  Please modify your text and try again.
-        ";
+        $warning = tra("Your post has been flagged as spam by the Akismet anti-spam system. Please modify your text and try again.");
         $preview = tra("Preview");
     } else {
         create_post(
@@ -126,10 +124,10 @@
     global $logged_in_user, $bbcode_html;
     global $content, $preview;
 
-    $x1 = "Message:".html_info().post_warning();
+    $x1 = tra("Message:").html_info().post_warning();
     $x2 = "";
     if ($parent_post) {
-        $x2 .=" reply to <a href=#".$parent_post->id.">Message ID ".$parent_post->id."</a>:";
+        $x2 .=" ".tra("reply to %1Message ID%2:", "<a href=#".$parent_post->id.">", " ".$parent_post->id."</a>");
     }
     $x2 .= "<form action=forum_reply.php?thread=".$thread->id;
 
@@ -146,17 +144,17 @@
     } else if (!$no_quote) {
         if ($parent_post) $x2 .= quote_text(htmlspecialchars($parent_post->content))."\n";
     }
-    if (!$logged_in_user->prefs->no_signature_by_default){
+    if (!$logged_in_user->prefs->no_signature_by_default) {
         $enable_signature="checked=\"true\"";
     } else {
         $enable_signature="";
     }
     $x2 .= "</textarea><p>
         <input type=\"submit\" name=\"preview\" value=\"".tra("Preview")."\">
-        <input type=\"submit\" value=\"Post reply\">
+        <input type=\"submit\" value=\"".tra("Post reply")."\">
         &nbsp;&nbsp;&nbsp;
-        <input name=\"add_signature\" id=\"add_signature\" value=\"add_it\" ".$enable_signature." type=\"checkbox\">
-        <label for=\"add_signature\">Add my signature to this reply</label>
+        <input type=\"checkbox\" name=\"add_signature\" id=\"add_signature\" value=\"add_it\" ".$enable_signature.">
+        <label for=\"add_signature\">".tra("Add my signature to this reply")."</label>
 
         </form>
     ";
Index: edit_forum_preferences_action.php
===================================================================
--- edit_forum_preferences_action.php	(Revision 24007)
+++ edit_forum_preferences_action.php	(Arbeitskopie)
@@ -32,14 +32,12 @@
 BoincForumPrefs::lookup($user);
 
 if (post_str("action", true)=="reset_confirm"){
-    page_head("Confirm reset");
-    echo "This action will erase any changes you have made
-        in your community preferences.
-        To cancel, click your browser's Back button.
+    page_head(tra("Confirm reset"));
+    echo tra("This action will erase any changes you have made in your community preferences. To cancel, click your browser's Back button.")."
         <p>
         <form action=edit_forum_preferences_action.php method=post>
         <input type=hidden name=action value=reset>
-        <input type=submit value=\"Reset preferences\">
+        <input type=submit value=\"".tra("Reset preferences")."\">
         </form>
     ";
     page_tail();
@@ -89,7 +87,7 @@
         $size = getImageSize($file);
         if ($size[2]!=2 and $size[2]!=3){
             //Not the right kind of file
-            error_page("Error: Not the right kind of file, only PNG and JPEG are supported.");
+            error_page(tra("Error: Not the right kind of file, only PNG and JPEG are supported."));
         }
         $width = $size[0];
         $height = $size[1];
@@ -115,9 +113,7 @@
 $pm_notification = post_int("pm_notification");
 $signature = post_str("signature", true);
 if (strlen($signature)>250) {
-    error_page(
-        "Your signature was too long, please keep it less than 250 chars"
-    );
+    error_page(tra("Your signature was too long, please keep it less than 250 characters."));
 }
 $forum_sort = post_int("forum_sort");
 $thread_sort = post_int("thread_sort");
@@ -140,7 +136,7 @@
     if ($user_to_add!="" and $user_to_add==strval(intval($user_to_add))){
         $other_user = BoincUser::lookup_id($user_to_add);
         if (!$other_user) {
-            echo "No such user: $other_user";
+            echo tra("No such user: %1", $other_user);
         } else {
             add_ignored_user($user, $other_user);
         }
@@ -154,7 +150,7 @@
     if ($_POST["remove".trim($ignored_users[$i])]!=""){
         $other_user = BoincUser::lookup_id($ignored_users[$i]);
         if (!$other_user) {
-            echo "No such user: $other_user";
+            echo tra("No such user: %1", $other_user);
         } else {
             remove_ignored_user($user, $other_user);
         }
Index: forum_user_posts.php
===================================================================
--- forum_user_posts.php	(Revision 24007)
+++ forum_user_posts.php	(Arbeitskopie)
@@ -70,7 +70,7 @@
         }
     }
 }
-page_head("Posts by $user->name");
+page_head(tra("Posts by %1", $user->name));
 
 $posts = BoincPost::enum("user=$userid order by id desc");
 $n = 0;
@@ -113,7 +113,7 @@
 if ($offset) {
 	$x = $offset - $count;
     echo "<a href=forum_user_posts.php?userid=$userid&offset=$x>
-		<b>Previous $count</b>
+		<b>".tra("Previous %1", $count)."</b>
 		</a>
     ";
 	if ($show_next) echo " | ";
@@ -122,7 +122,7 @@
 if ($show_next) {
     $offset += $count;
     echo "<a href=forum_user_posts.php?userid=$userid&offset=$offset>
-		<b>Next $count</b>
+		<b>".tra("Next %1", $count)."</b>
 		</a>
     ";
 }
Index: add_venue.php
===================================================================
--- add_venue.php	(Revision 24007)
+++ add_venue.php	(Arbeitskopie)
@@ -21,6 +21,8 @@
 require_once("../inc/util.inc");
 require_once("../inc/prefs.inc");
 
+check_get_args(array("action", "subset", "venue", "cols"));
+
 db_init();
 
 $user = get_logged_in_user();
Index: forum_edit.php
===================================================================
--- forum_edit.php	(Revision 24007)
+++ forum_edit.php	(Arbeitskopie)
@@ -38,15 +38,13 @@
 
 if (!is_moderator($logged_in_user, $forum)) {
     if (time() > $post->timestamp + MAXIMUM_EDIT_TIME) {
-        error_page(
-            "You can no longer edit this post.<br />Posts can only be edited at most ".(MAXIMUM_EDIT_TIME/60)." minutes after they have been created."
-        );
+        error_page(tra("You can no longer edit this post.<br/>Posts can only be edited at most %1 minutes after they have been created.", (MAXIMUM_EDIT_TIME/60)));
     }
 }
 
 $post_owner = BoincUser::lookup_id($post->user);
 if (($logged_in_user->id != $post_owner->id) || (can_reply($thread, $forum, $logged_in_user) == false)) {
-    error_page ("You are not authorized to edit this post.");
+    error_page (tra("You are not authorized to edit this post."));
 }
 
 $thread_owner = BoincUser::lookup_id($thread->owner);
@@ -74,7 +72,7 @@
     
         if ($can_edit_title){
             $title = trim($title);
-            $title = strip_tags($title);
+            $title = sanitize_tags($title);
             $title = BoincDb::escape_string($title);
             $thread->update("title='$title'");
         }
@@ -85,7 +83,7 @@
     }
 }
 
-page_head('Forum','','','', $bbcode_js);
+page_head(tra("Forum"),'','','', $bbcode_js);
 
 show_forum_header($logged_in_user);
 switch ($forum->parent_type) {
@@ -109,7 +107,7 @@
 echo "<form action=\"forum_edit.php?id=".$post->id."\" method=\"POST\" name=\"post\" onsubmit=\"return checkForm(this)\">\n";
 echo form_tokens($logged_in_user->authenticator);
 start_table();
-row1("Edit your message");
+row1(tra("Edit your message"));
 if ($can_edit_title) {
     //If this is the user can edit the thread title display a way of doing so
     if ($preview) {
Index: hosts_user.php
===================================================================
--- hosts_user.php	(Revision 24007)
+++ hosts_user.php	(Arbeitskopie)
@@ -46,14 +46,14 @@
 if ($userid) {
     $user = lookup_user_id($userid);
     if (!$user) {
-        error_page("No such user");
+        error_page(tra("No such user"));
     }
 
     if ($user->show_hosts) {
         page_head(tra("Computers belonging to %1", $user->name));
     } else {
-        page_head("Computers hidden");
-        echo tra("This user has chosen not to show information about their computers.");
+        page_head(tra("Computers hidden"));
+        echo tra(tra("This user has chosen not to show information about his or her computers."));
         page_tail();
         exit();
     }
@@ -61,7 +61,7 @@
 } else {
     $user = get_logged_in_user();
     $userid = $user->id;
-    page_head("Your computers");
+    page_head(tra("Your computers"));
     $private = true;
 }
 
Index: apps.php
===================================================================
--- apps.php	(Revision 24007)
+++ apps.php	(Arbeitskopie)
@@ -18,7 +18,6 @@
 
 require_once("../inc/boinc_db.inc");
 require_once("../inc/util.inc");
-require_once("../inc/translation.inc");
 
 check_get_args(array("xml"));
 
Index: forum_thread_status.php
===================================================================
--- forum_thread_status.php	(Revision 24007)
+++ forum_thread_status.php	(Arbeitskopie)
@@ -40,16 +40,16 @@
         $ret = $thread->update("status=0");
     }
     if (!$ret){
-        error_page("Could not update the status of the thread: ".$thread->id);
+        error_page(tra("Could not update the status of the thread: %1", $thread->id));
     }
 } else {
-    error_page("You must be the creator of the thread to update its status");
+    error_page(tra("You must be the creator of the thread to update its status."));
 }
 
 // --------------
 
-page_head("Thread status updated");
-echo "<p>The status has been updated.</p>";
-echo "<p><a href=\"forum_thread.php?nowrap=true&id=".$thread->id."\">Return to the thread</a></p>";
+page_head(tra("Thread status updated"));
+echo "<p>".tra("The status has been updated.")."</p>";
+echo "<p><a href=\"forum_thread.php?nowrap=true&id=".$thread->id."\">".tra("Return to thread")."</a></p>";
 page_tail();
 ?>
Index: create_profile.php
===================================================================
--- create_profile.php	(Revision 24007)
+++ create_profile.php	(Arbeitskopie)
@@ -274,9 +274,9 @@
     $response1 = sanitize_html($response1);
     $response2 = sanitize_html($response2);
     if ($profile) {
-        $query = " response1 = '".boinc_real_escape_string($response1)."',"
-            ." response2 = '".boinc_real_escape_string($response2)."',"
-            ." language = '".boinc_real_escape_string($language)."',"
+        $query = " response1 = '".BoincDb::escape_string($response1)."',"
+            ." response2 = '".BoincDb::escape_string($response2)."',"
+            ." language = '".BoincDb::escape_string($language)."',"
             ." has_picture = '$hasPicture',"
             ." verification = '$profile->verification'"
             ." WHERE userid = '$user->id'";
@@ -287,9 +287,9 @@
     } else {
         $query = 'SET '
             ." userid = '$user->id',"
-            ." language = '".boinc_real_escape_string($language)."',"
-            ." response1 = '".boinc_real_escape_string($response1)."',"
-            ." response2 = '".boinc_real_escape_string($response2)."',"
+            ." language = '".BoincDb::escape_string($language)."',"
+            ." response1 = '".BoincDb::escape_string($response1)."',"
+            ." response2 = '".BoincDb::escape_string($response2)."',"
             ." has_picture = '$hasPicture',"
             ." verification=0";
         $result = BoincProfile::insert($query);
